getmail_fetch(1)

NAME
getmail_fetch - retrieve messages from one or more POP3 or POP3-over-SSL mailboxes and deliver to a maildir, mboxrd-format mbox file, or external MDA

SYNOPSIS
getmail_fetch [OPTIONS] SERVER USERNAME PASSWORD DESTINATION

DESCRIPTION

getmail_fetch retrieves messages from POP3 or POP3-over-SSL mailboxes and delivers to a maildir, mboxrd, or external MDA. This command is intended primarily for scripting, and as such does not require a client-side configuration file, and does not record any state.

The DESTINATION argument is interpreted as follows:

If it begins with a dot or a slash and ends with a slash, it is assumed to be a path to a maildir.

If it begins with a dot or a slash and does not end with a slash, it is assumed to be a path to an mboxrd file.

If it begins with a pipe, it is assumed to be a path to an external MDA command. Note that arguments can be included in this string by separating them by whitespace; untrusted data must not be used in constructing this string.

OPTIONS

--version
    show program's version number and exit

-h, --help
    show a short usage summary and exit

-v, --verbose
    output information messages while running

-q, --quiet
    output only on error

-mFILE, --message=FILE
    read well-formatted RFC822 message from FILE and deliver prior to connecting to POP server

-pPORT, --port=PORT
    use port PORT instead of default (POP3: 110, POP3-over-SSL: 995)

-d, --delete
    delete messages from server after delivery

-tTIMEOUT, --timeout=TIMEOUT
    use timeout of TIMEOUT seconds instead of default 180

-a, --apop
    use APOP authentication

-s, --ssl
    use POP3-over-SSL

AUTHOR
Written by Charles Cazabon and others.

REPORTING BUGS
Report bugs to <https://github.com/getmail6/getmail6/issues>

IMPORTANT: include the output of getmail [options] --dump with any bug report.

COPYRIGHT
Copyright © 1998-2025 Charles Cazabon and others.
This is free software; see the file COPYING for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
The full documentation for getmail is maintained in HTML and plaintext formats. See the included files for details.